Subject: Re: Using GCC
From: [email-masked] (Fernandes, Hilton)

25 Oct 1997 12:40:43 -0700
Message-ID: <[email-masked]>
References: <Pine.SUN.3.91.971020135358.6144B-100000@spsun5>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
To: Kevin Sheehan <[email-masked]>, [email-masked]
Cc: [email-masked]

On 20 Oct 97 at 13:58, Kevin Sheehan <[email-masked]> wrote:

> 	I have just installed the gnu-win32 system as I need to write 
> some software to communicate with an ADC card in my PC. The problem is 
> that the example code uses inp and outp and these do not seem to compile 
> in GCC. Could someone please point me in the direction of some 
> documentation for this.(I have looked on the web page but cannot see 
> anything specific to the IBM or the AT bus I/O space).

Hi!

Win32 is supposed to be a real operating system, so it won't let you access
the hardware directly in an application program.  As far as i know, if you
really need to do this, you have to write a device driver. 

That means inp and outp are not available in gnu-win32.

Sigh. :-(

Regards,
++Hilton
----
Hilton Fernandes
[email-masked]
http://www.geocities.com/SiliconValley/Lakes/5657
URLs and help on C++ programming and Object-Oriented Design
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".